
package eu.dnetlib.dhp.contextpropagation.model;

import java.io.Serializable;
import java.util.List;

public class PropagationUse implements Serializable {
	private String use;
	private String weight;
	private List<String> path;

	public String getUse() {
		return use;
	}

	public void setUse(String use) {
		this.use = use;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	public List<String> getPath() {
		return path;
	}

	public void setPath(List<String> path) {
		this.path = path;
	}

	public static PropagationUse newInstance(String use, String weight, List<String> path) {
		PropagationUse pu = new PropagationUse();
		pu.use = use;
		pu.weight = weight;
		pu.path = path;
		return pu;
	}

	public static PropagationUse copyInstance(PropagationUse use) {
		PropagationUse pu = new PropagationUse();
		pu.path = use.path;
		pu.weight = use.weight;
		pu.use = use.use;
		return pu;
	}

}
